Subject: Re: bug#25774: libmicrohttpd: fails to build (test-driver aborted)

From: Leo Famulari <[email-masked]>
Date: Fri, 17 Feb 2017 19:42:15 -0500

On Sat, Feb 18, 2017 at 12:59:49AM +0100, Ivan Vilata i Balaguer wrote:
> I think I left out a couple of lines at the end:
> 
> ```
> Fatal error in GNU libmicrohttpd daemon.c:5190: MHD_stop_daemon() called while we have suspended connections.
> 
> FAIL test_upgrade_ssl (exit status: 134)
> ```
> 
> > The only debugging suggestion I have is to make sure that your clock is
> > correct. Test suites that do certificate verification should take care
> > not to break in the future, but perhaps it's less common for test
> > authors to handle the case of a clock set to the past.
> 
> Well, it may be some second off, but not much more than that…

That's normal. I was thinking about the clock being set to the Unix
epoch or something extreme like that.

> 
> > Beyond that, did you find anything relevant on the upstream bug tracker?
> > 
> > https://ng.gnunet.org/bugs/view_all_bug_page.php
> 
> I can't find anything related there, I also searched the net before
> sending the report but found nothing that seemed the same error.

What about this one?

https://ng.gnunet.org/bugs/view.php?id=4844

The report says that it's limited to ppc64le, but the symptoms appear
identical.